package com.xdap.self_development.service;

import com.xdap.api.moudle.user.pojo.XdapUsers;
import com.xdap.self_development.domain.pojo.ResponsiblePersonPojo;

import java.util.List;

/**
 * <p>
 * 责任人表 服务类
 * </p>
 *
 * @author Lys111
 * @since 2025-11-13
 */
public interface ResponsiblePerService {

    ResponsiblePersonPojo selectByDepAndPer(String department, String resPerson);

    List<ResponsiblePersonPojo> selectByUserId(List<XdapUsers> userIds);

    List<ResponsiblePersonPojo> selectByDepName(String departmentName);

    Object insert(ResponsiblePersonPojo responsiblePerson);

    List<ResponsiblePersonPojo> selectBysubSystemDept(String subSystem, String dept);
}
